### Method

# EDataServer SourceOpenPGP set_sign_by_default

since: 3.6

#### Declaration [src]

    void
    e_source_openpgp_set_sign_by_default (
      ESourceOpenPGP* extension,
      gboolean sign_by_default
    )

#### Description [src]

Sets whether to digitally sign outgoing messages by default using OpenPGP-compliant software such as GNU Privacy Guard (GnuPG).

Available since: 3.6

Sets property | `EDataServer.SourceOpenPGP:sign-by-default`

#### Parameters

`sign_by_default`

  Type: `gboolean`

  Whether to sign outgoing messages by default.